Bug 233896 - firefox at 97% to 100% on the guided tour bug reporting at https://bugzilla.redhat.com
firefox at 97% to 100% on the guided tour bug reporting at https://bugzilla.r...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
2.18
i386 Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-25 13:07 EDT by vikram goyal
Modified: 2013-06-23 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 15:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
top at the time of filing the bug through guided tour on redhat bugzilla (194.23 KB, image/png)
2007-03-25 13:08 EDT, vikram goyal
no flags Details
TopAtRHBugzillaStart (202.37 KB, image/png)
2007-03-27 13:14 EDT, vikram goyal
no flags Details
TopAtRHBugzillaEnterNewBug (197.31 KB, image/png)
2007-03-27 13:15 EDT, vikram goyal
no flags Details
TopAtRHBugzillaEnterSelectApp (197.78 KB, image/png)
2007-03-27 13:16 EDT, vikram goyal
no flags Details
TopAtRHBugzillaAfterSelectOS (194.84 KB, image/png)
2007-03-27 13:17 EDT, vikram goyal
no flags Details
TopAtRHBugzillaAfterSelectfc6and1386 (196.26 KB, image/png)
2007-03-27 13:18 EDT, vikram goyal
no flags Details
top output (67.91 KB, text/plain)
2007-04-15 00:14 EDT, vikram goyal
no flags Details
top output (12.67 KB, text/plain)
2007-04-15 00:40 EDT, vikram goyal
no flags Details
top output at 5 sec interval (269.83 KB, text/plain)
2007-09-18 21:51 EDT, vikram goyal
no flags Details
tar bziped files (8.73 KB, application/x-bzip-compressed-tar)
2007-09-19 09:40 EDT, vikram goyal
no flags Details
mozilla profiles dir (789.51 KB, application/x-bzip-compressed-tar)
2007-09-19 09:43 EDT, vikram goyal
no flags Details
top without any plugin (231.31 KB, text/plain)
2007-09-19 10:02 EDT, Matěj Cepl
no flags Details
top with fresh profile but plugins (231.57 KB, text/plain)
2007-09-19 10:03 EDT, Matěj Cepl
no flags Details
list of currently installed plugin packages (274 bytes, text/plain)
2007-09-19 10:07 EDT, Matěj Cepl
no flags Details
plugins in the /usr/lib/firefox directory (139 bytes, text/plain)
2007-09-19 10:08 EDT, Matěj Cepl
no flags Details
list of plugins in /usr/lib/mozilla (2.29 KB, text/plain)
2007-09-19 10:10 EDT, Matěj Cepl
no flags Details
reporter's konqueror top log (mentioned in comment 35) (104.34 KB, text/plain)
2007-09-21 05:33 EDT, Matěj Cepl
no flags Details
CPU usage with opera (176.69 KB, image/png)
2007-09-27 06:08 EDT, Mumrel
no flags Details
top 2 sec interval output file showing firefox load on cpu (151.05 KB, application/octet-stream)
2007-11-05 22:35 EST, vikram goyal
no flags Details

  None (edit)
Description vikram goyal 2007-03-25 13:07:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
when a bug report through guided tour in https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?format=guided
i.e the current URL. Firefox goes 97% to 100% CPU usage after loading components layout or whatever one calls it.

Version-Release number of selected component (if applicable):
firefox-1.5.0.10-5.fc6

How reproducible:
Always


Steps to Reproduce:
1.Go to https://bugzilla.redhat.com/
2.Select guided bug filing
3.After coming to the URL having components list firefox goes hyper

Actual Results:
firefox 97% to 100% cpu usage

Expected Results:


Additional info:
Comment 1 vikram goyal 2007-03-25 13:08:55 EDT
Created attachment 150854 [details]
top at the time of filing the bug through guided tour on redhat bugzilla
Comment 2 Christopher Aillon 2007-03-25 14:50:44 EDT
Does it ever drop back down to normal, or is this only during page load?
Comment 3 vikram goyal 2007-03-27 13:14:26 EDT
Created attachment 151051 [details]
TopAtRHBugzillaStart
Comment 4 vikram goyal 2007-03-27 13:15:24 EDT
Created attachment 151052 [details]
TopAtRHBugzillaEnterNewBug
Comment 5 vikram goyal 2007-03-27 13:16:30 EDT
Created attachment 151053 [details]
TopAtRHBugzillaEnterSelectApp
Comment 6 vikram goyal 2007-03-27 13:17:08 EDT
Created attachment 151054 [details]
TopAtRHBugzillaAfterSelectOS
Comment 7 vikram goyal 2007-03-27 13:18:33 EDT
Created attachment 151055 [details]
TopAtRHBugzillaAfterSelectfc6and1386
Comment 8 Martin Stransky 2007-04-11 08:39:23 EDT
Does it happen on any other pages? Can you try to turn off the beagle?
Comment 9 vikram goyal 2007-04-15 00:14:52 EDT
Created attachment 152637 [details]
top output
Comment 10 vikram goyal 2007-04-15 00:32:35 EDT
Comment on attachment 152637 [details]
top output

posting a new top output from stable kernel
Comment 11 vikram goyal 2007-04-15 00:40:26 EDT
Created attachment 152638 [details]
top output
Comment 12 vikram goyal 2007-04-15 00:56:05 EDT
(In reply to comment #8)
> Does it happen on any other pages? Can you try to turn off the beagle?

I have added todays top output as attachment. The firefox version now is
firefox-2.0.0.3-1.fc6.remi so the firefox version does not seems to be an issue.
I dont have beagle on my system. I removed it a few days back.

In guided tour after selecting OS like Fedora Core and pressing next the firfox
cpu usage hits the top

Also If one adds comments and also wants to attach a file. After submitting, the
status of the bug remains old, in my case, it remained NEEDINFO. So I am added
comments again, i.e the third time. If it's a bug as it seems to then it should
also be taken into consideration. Otherwise as I perceive a lot of bugs may
remain in their old status even if additional info has been added.

Now I am saving all this in a file, maybe I need to feed it again cut & paste
Comment 13 vikram goyal 2007-04-15 05:06:26 EDT
(In reply to comment #8)
> Does it happen on any other pages? Can you try to turn off the beagle?

I found a link posted below which is a firefox killer.

http://www.forensics-guru.com/html/KnowledgeSharingOracleDatabase.mm.html
Comment 14 Martin Stransky 2007-04-16 05:50:24 EDT
wow, it beats semoankey, too. I'll check it.
Comment 15 Martin Stransky 2007-07-25 07:01:35 EDT
hm, that page was removed :-(( if you found any other page when ff hangs, can
you please attach it here?
Comment 16 vikram goyal 2007-07-25 08:57:35 EDT
The site's not even opening now. I'll see if I find something else and post if
necessary. Till then...
Comment 17 Matěj Cepl 2007-07-25 09:06:36 EDT
... till then is stays in NEEDINFO :-)
Comment 18 Matěj Cepl 2007-08-29 08:12:52 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 19 vikram goyal 2007-09-18 06:19:20 EDT
Well, I had reported a problem in the bugzilla guided tour setup.

After that I had just out of being more helpful pasted another URL, I had come
across which crashed Firefox browser, which in time got lost.

Since these two things happened almost after one another and there was no other
bug report against bugzilla itself that I thought firefox maybe at fault and
there was no problem with bugzilla. But as recently as a month or so back there
were other reportings of the same behaviour of the browser when one goes through
guided tour of bugzilla, which can be verified from fedora-list or
fedora-devel-list archives.

So there's nothing from my side to be reported. The URL was just another pointer
but if it's lost even then the main bug i.e bug in guided tour of bugzilla remains.

Thanks!
Comment 20 Matěj Cepl 2007-09-18 09:50:48 EDT
Well, the problem is that we cannot reproduce it here with bugzilla guided tour
(tried just now with firefox 1.5 in RHEL5, and with firefox 2.0.0.5 and
seamonkey 1.1.3 in Fedora 7). Unless we are able to reproduce this problem,
there is not much we could do about it.

BTW, bugzilla was partially reinstalled during the upgrade -- are you sure, that
you are able to reproduce described behavior with the current one?
Comment 21 vikram goyal 2007-09-18 21:49:44 EDT
I have again gone through the guided bugzilla and as the interface was loading
components list firefox went to 100% cpu usage. Attaching top log.

Firefox version:
firefox-2.0.0.5-1.fc7
Comment 22 vikram goyal 2007-09-18 21:51:44 EDT
Created attachment 199031 [details]
top output at 5 sec interval
Comment 23 Matěj Cepl 2007-09-19 04:42:27 EDT
Hmm, then there is something else making the trouble. There might be something
weird among your extensions, or some special configuration in your profile.

Could you try to reproduce this with empty profile, please? That means, could
you please shut down firefox, rename temporarily ~/.mozilla directory to
something else, restart firefox and try to reproduce the problem?

Thanks a lot.
Comment 24 vikram goyal 2007-09-19 09:27:50 EDT
OK, I did quite a long testing under diff scenarios.

1} Moved my .mozilla dir to tmp and tested GBT ( Guided Bugzilla Tour ;)
   The top output file is firefox-freshprofile-withPlugins-top.out

2} Moved the /usr/lib/mozilla dir to tmp and tested GBT.
   The top output file is firefox-freshprofile-withoutAnyPlugin-top.out

So, first time removed all the extensions etc and let firefox create new
profile, then nxt time removed all the plugins from the way.

Attaching the appropriate files. I am attaching a tar of all the files in one go
Comment 25 vikram goyal 2007-09-19 09:40:45 EDT
Created attachment 199481 [details]
tar bziped files
Comment 26 vikram goyal 2007-09-19 09:43:03 EDT
Created attachment 199501 [details]
mozilla profiles dir

forgot to attach
Comment 27 Matěj Cepl 2007-09-19 10:02:08 EDT
Created attachment 199561 [details]
top without any plugin
Comment 28 Matěj Cepl 2007-09-19 10:03:35 EDT
Created attachment 199581 [details]
top with fresh profile but plugins
Comment 29 Matěj Cepl 2007-09-19 10:07:27 EDT
Created attachment 199591 [details]
list of currently installed plugin packages
Comment 30 Matěj Cepl 2007-09-19 10:08:26 EDT
Created attachment 199601 [details]
plugins in the /usr/lib/firefox directory
Comment 31 Matěj Cepl 2007-09-19 10:10:04 EDT
Created attachment 199611 [details]
list of plugins in /usr/lib/mozilla
Comment 32 Matěj Cepl 2007-09-19 10:54:12 EDT
So, if I understand your situation correctly, the problem is either somewhere
around your multimedia plugins or in your configuration. Unfortunately, that
means I have to close this bug.
Comment 33 Matěj Cepl 2007-09-19 12:21:33 EDT
My bad, I have misunderstood the attachments properly (some comment on the
conclusions about the data would be helpful). The conclusion should be that the
problem persists even with empty profile and without any plugin on reporter's
computer. Unfortunately, I am still not able to reproduce this on my computer.
Comment 34 Matěj Cepl 2007-09-19 12:28:17 EDT
Tried even with firefox 1.5.0.12-1.fc6 on Fedora Core 6 and still cannot
reproduce. Firefox was busy, but not unreasonably so (somewhere around 5-10% of
CPU in top).

Do you have some information which could help us to reproduce this?
Comment 35 Matěj Cepl 2007-09-21 05:31:59 EDT
(email I got by mistake from reporter):

> Tried even with firefox 1.5.0.12-1.fc6 on Fedora Core 6 and still cannot
> reproduce. Firefox was busy, but not unreasonably so (somewhere around 5-10%
> of CPU in top).
> 
> Do you have some information which could help us to reproduce this?
        
I tried koqueror and it hit top at 84% and became unresponsive just at
loading component list.

Why I am after this bug so tenaciously is that one guy had remarked that
it was not an easy task to file bugs at bugzilla and I believe that lots
of people new to redhat just balk out of reporting bugs because of this.

I am attaching konqueror top log with mail.
Comment 36 Matěj Cepl 2007-09-21 05:33:00 EDT
Created attachment 201811 [details]
reporter's konqueror top log (mentioned in comment 35)
Comment 37 Matěj Cepl 2007-09-21 05:35:43 EDT
Vikram,

I have not been able to reproduce the problem even with your login and password
(you can reset the password, I won't need it anymore). However, as you probably
know konqueror has absolutely nothing to do with firefox -- neither shared HTML
parser, nor Javascript engine. Therefore, if there is any bug, it has to be
either somewhere in the configuration of your computer/network (any HTTP proxy?
just a guess) or in our bugzilla.

Changing product to Bugzilla as this is clearly not firefox bug.
Comment 38 Mumrel 2007-09-27 06:08:44 EDT
Created attachment 208081 [details]
CPU usage with opera
Comment 39 Mumrel 2007-09-27 06:10:21 EDT
I also experience this problem, both with 
firefox-2.0.0.5-1.fc7
and 
opera 9.21 Build 641.

During my first test with fedora, the combobox which displays the different
components changes its width periodically.
Maybe it's something wrong with the javascript behind that site?

I can provide more information if needed. Just tell me what you need.
Comment 40 Mumrel 2007-09-27 06:11:23 EDT
> During my first test with fedora, ...
> During my first test with OPERA (!), ...
Comment 41 Need Real Name 2007-09-28 17:29:19 EDT
I experience the 100% cpu bug with firefox in Fedora 7 also
Comment 42 David Lawrence 2007-11-01 15:01:19 EDT
Some improvements have been made to the guided tour page. Please reopen this bug
if this is still a problem currently.
Comment 43 Mumrel 2007-11-05 10:53:46 EST
Thank you! Now it works without bigger problems.
The page still needs for 5 seconds 100% of my cpu, and i can't imagine what it
is doing with it (filling lists?), but I can live with that :).

Greetings
Comment 44 vikram goyal 2007-11-05 22:35:18 EST
Created attachment 248791 [details]
top 2 sec interval output file showing firefox load on cpu

The problem seems to have been resolved, Attaching 2 sec top output. There is
100% cpuload but only for 5-6 sec duration and after that it comes back to
normal and also does not gets stuck at that point of bugzilla guided tour or
completely hangs as it used to.

Konqueror also shows the same behaviour. In all this bug seems sqashed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.